# Generated from rspec-mocks-diag-3.10.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec-mocks-diag

Name: rubygem-%{gem_name}
Version: 3.10.2.1
Release: 1%{?dist}
Summary: rspec-mocks-3.10.2.1
License: MIT
URL: https://github.com/p-mongo/rspec-mocks
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(cucumber) >= 1.3.15
# BuildRequires: rubygem(cucumber) < 1.4
# BuildRequires: rubygem(aruba) >= 0.14.10
# BuildRequires: rubygem(aruba) < 0.15
# BuildRequires: rubygem(minitest) >= 5.2
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
rspec-mocks with additional diagnostics.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/Changelog.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 3.10.2.1-1
- Initial package
